Bug 238442 - devel/git: update to 2.22.0
Summary: devel/git: update to 2.22.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-06-10 02:55 UTC by Jan Beich
Modified: 2019-06-14 19:32 UTC (History)
2 users (show)

See Also:
garga: maintainer-feedback+


Attachments
v0 (has commit message) (9.23 KB, patch)
2019-06-10 02:55 UTC, Jan Beich
jbeich: maintainer-approval? (garga)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-06-10 02:55:38 UTC
Created attachment 204934 [details]
v0 (has commit message)

The new minor update breaks devel/git-cinnabar, so lets update both together.

https://lkml.org/lkml/2019/6/7/1177
https://github.blog/2019-06-07-highlights-from-git-2-22/

"poudriere bulk -t" passed:
- 11.2 aarch64/amd64/armv6/i386
- 12.0 aarch64/amd64/armv6/armv7/i386
- 13.0 aarch64/amd64/armv6/armv7/i386
- inverted options (on 11.2 i386)
- DEFAULT_VERSIONS += ssl=libressl (on 11.2 amd64)
- DEFAULT_VERSIONS += ssl=libressl-devel (on 11.2 amd64)
- DEFAULT_VERSIONS += ssl=openssl (on 12.0 amd64)
- DEFAULT_VERSIONS += ssl=openssl111 (on 11.2 amd64)
Comment 1 Renato Botelho freebsd_committer 2019-06-14 18:59:32 UTC
Approved. Thanks!
Comment 2 commit-hook freebsd_committer 2019-06-14 19:30:45 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun 14 19:30:00 UTC 2019
New revision: 504201
URL: https://svnweb.freebsd.org/changeset/ports/504201

Log:
  devel/git: update to 2.22.0

  Changes:	https://lkml.org/lkml/2019/6/7/1177
  Changes:	https://github.blog/2019-06-07-highlights-from-git-2-22/
  PR:		238442
  Approved by:	garga (maintainer)

Changes:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/pkg-plist
  head/devel/git-cinnabar/Makefile
  head/devel/git-cinnabar/files/
  head/devel/git-cinnabar/files/patch-git-2.22